DefaultUrlMappingInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class DefaultUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
          org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingInfo

    public class DefaultUrlMappingInfo
    extends AbstractUrlMappingInfo

Holds information established from a matched URL.

Authors:
  Graeme Rocher

Since:
  0.5

Constructor Summary
`DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)`
`DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)`
`DefaultUrlMappingInfo(java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)`
`DefaultUrlMappingInfo(java.lang.Object uri, UrlMappingData data, javax.servlet.ServletContext servletContext)`
`DefaultUrlMappingInfo(java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, javax.servlet.ServletContext servletContext)`

Method Summary
`java.lang.String` | `getActionName()`
`java.lang.String` | `getControllerName()`
`java.lang.String` | `getHttpMethod()`
`java.lang.String` | `getId()`
`java.lang.String` | `getNamespace()`
`java.util.Map` | `getParameters()`
`java.lang.String` | `getPluginName()`
`java.lang.Object` | `getRedirectInfo()`
`java.lang.String` | `getURI()`
`java.lang.String` | `getVersion()`
`java.lang.String` | `getViewName()`
`boolean` | `isParsingRequest()`
`void` | `setParsingRequest(boolean parsingRequest)`
`java.lang.String` | `toString()`

Methods inherited from class AbstractUrlMappingInfo
configure, evaluateNameForValue, evaluateNameForValue, getParams, getRedirectInfo, populateParamsForMapping, setParams

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultUrlMappingInfo

    @java.lang.SuppressWarnings("rawtypes")
    public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)

### DefaultUrlMappingInfo

    public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)

### DefaultUrlMappingInfo

    @java.lang.SuppressWarnings("rawtypes")
    public DefaultUrlMappingInfo(java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, javax.servlet.ServletContext servletContext)

### DefaultUrlMappingInfo

    public DefaultUrlMappingInfo(java.lang.Object uri, UrlMappingData data, javax.servlet.ServletContext servletContext)

### DefaultUrlMappingInfo

    public DefaultUrlMappingInfo(java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, javax.servlet.ServletContext servletContext)

Method Detail

### getActionName

    public java.lang.String getActionName()

### getControllerName

    public java.lang.String getControllerName()

### getHttpMethod

    @java.lang.Override
    public java.lang.String getHttpMethod()

### getId

    public java.lang.String getId()

### getNamespace

    public java.lang.String getNamespace()

### getParameters

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.Map getParameters()

### getPluginName

    public java.lang.String getPluginName()

### getRedirectInfo

    @java.lang.Overridepublic Object getRedirectInfo() {
    public java.lang.Object getRedirectInfo()

### getURI

    public java.lang.String getURI()

### getVersion

    @java.lang.Override
    public java.lang.String getVersion()

### getViewName

    public java.lang.String getViewName()

### isParsingRequest

    public boolean isParsingRequest()

### setParsingRequest

    public void setParsingRequest(boolean parsingRequest)

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation